package me.qwq.doghouse.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

import me.qwq.doghouse.annotation.StaticAttribute;

/**
 * 文章/页面类型枚举
 **/
@StaticAttribute
public enum PostTypeEnum implements IQueryableEnum {

    /**
     * 说说
     */
    TWEET(3, "说说"),
    /**
     * 独立页面
     */
    WIKI(2, "Wiki"),
    /**
     * 独立页面
     */
    PAGE(1, "页面"),
    /**
     * 文章
     */
    POST(0, "文章");

    @EnumValue
    private final int status;
    private final String note;

    PostTypeEnum(int status, String note) {
        this.status = status;
        this.note = note;
    }

    public String getNote() {
        return note;
    }

    public int getStatus() {
        return status;
    }

    public String toLowerString() {
        return toString().toLowerCase();
    }
}
